Name:		perl-Time-Clock
Version:	1.02
Release:	4%{?dist}
Summary:	Twenty-four hour clock object with nanosecond precision
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Time-Clock/
Source0:	http://www.cpan.org/authors/id/J/JS/JSIRACUSA/Time-Clock-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Time::HiRes)
Requires:	perl(Time::HiRes)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A Time::Clock object is a twenty-four hour clock with nanosecond precision
and wrap-around. It is a clock only; it has absolutely no concept of dates.
Vagaries of date/time such as leap seconds and daylight savings time are
unsupported.

%prep
%setup -q -n Time-Clock-%{version}

%build
find . -type f -executable -exec chmod -x {} \;
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Time/
%{_mandir}/man3/Time::Clock.3pm*

%changelog
* Mon Jul 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.02-4
- remove buildroot and clean
- remove defattr from files section
- add Carp, constant, Test::Pod, and Time::HiRes to BuildRequires
- add Time::HiRes to Requires

* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.02-3
- Remove execute bit from pm files
- Explicity reference man page in files section

* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.02-2
- Initial version

